> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read user

>  

This endpoint returns information regarding the authenticated user.


## OpenAPI

````yaml openapi/nexus/v1.yaml GET /user
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /user:
    get:
      tags:
        - user
      summary: Read user
      description: This endpoint returns information regarding the authenticated user.
      operationId: readUser
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/UserResponseBody'
          description: OK
components:
  schemas:
    UserResponseBody:
      properties:
        user:
          $ref: '#/components/schemas/UserResponse'
      type: object
    UserResponse:
      properties:
        accepted_terms_and_conditions_at:
          type: string
          format: date-time
          example: '2020-08-31T16:12:36+00:00'
          description: >-
            The most recent date and time the end user accepted either initial
            or updated terms and conditions. Represented in ISO 8601 format with
            a timestamp (e.g., 2015-04-13T12:01:23-00:00).
        birthday:
          type: string
          format: date
          nullable: true
          example: '2011-03-28'
          description: Birthdate of user, represented in ISO 8601 format (e.g. 2011-03-28).
        credit_score:
          type: integer
          example: 0
          description: Credit score of the user.
        email:
          type: string
          example: fake.email@mxexample.com
          description: Email address of the user.
        email_is_verified:
          type: boolean
          example: false
          description: >-
            If the email is verified, this field will be true. Otherwise, this
            field will be false.
        external_guid:
          type: string
          example: U-201709221210
          description: Partner created identifier for the user.
        failed_token_login_attempts_count:
          type: integer
          example: 0
          description: Number of failed login attempts for the user. Defaults to 0.
        first_name:
          type: string
          example: John
          description: First name of the user.
        gender:
          type: integer
          nullable: true
          example: 0
          description: Gender of the user. Returns 0 for male and 1 for female.
        guid:
          description: Unique identifier for the user. Defined by MX.
          type: string
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
        has_accepted_terms_and_conditions:
          type: boolean
          example: true
          description: >-
            If the end user has accepted the initial terms and conditions, this
            field will be true. Otherwise, this field will be false. This field
            does not update.
        has_updated_terms_and_conditions:
          type: boolean
          example: false
          description: >-
            If updated terms and conditions are available for the end user, this
            field will be true. This field will return to false when the user
            has accepted the updated terms.
        is_disabled:
          type: boolean
          example: false
          description: >-
            If the user is disabled, this field will be true. Otherwise, this
            field will be false.
        is_restricted:
          type: boolean
          example: false
          description: >-
            If the user is restricted, this field will be true. Otherwise, this
            field will be false.
        last_name:
          type: string
          example: Doe
          description: Last name of the user.
        logged_in_at:
          type: string
          format: date-time
          example: '2022-07-08T16:28:13+00:00'
          description: >-
            Date and time the user last logged in, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
        metadata:
          type: string
          nullable: true
          example: null
          description: Additional information a partner can store on the user.
        phone:
          type: string
          nullable: true
          example: null
          description: Phone number of the user.
        phone_is_verified:
          type: boolean
          example: false
          description: >-
            Verifies the phone for the user. Returns true or false; defaults to
            false.
        postal_code:
          type: string
          example: ''
          description: >-
            US ZIP codes and Canadian postal codes are supported. Valid formats
            are 12345, 12345-6789, A1B2C3, or A1B 2C3.
        revision:
          type: integer
          example: 187
          description: The revision number of this user record.
      type: object
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````